Bug 94131 - Easier access to set a default template when saving a template
Summary: Easier access to set a default template when saving a template
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
5.0.1.2 release
Hardware: Other All
: medium normal
Assignee: Akshay Deep
QA Contact:
URL:
Whiteboard: target:5.3.0 target:5.2.0.1
Keywords: needsDevEval, topicUI
Depends on:
Blocks:
 
Reported: 2015-09-11 13:24 UTC by tecknode
Modified: 2016-10-25 18:54 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
save template dialog (38.04 KB, image/png)
2015-09-19 23:02 UTC, Yousuf Philips (jay)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description tecknode 2015-09-11 13:24:33 UTC
At present you make setting the Default Template too complicated.

REQUEST: When you crate/edit a template of any type, in the Save Dialog for templates there should be a Check-Box "Set as Default": [ ] Set as Default

This would be a much simpler way to change Default Templates.
Comment 1 Buovjaga 2015-09-18 11:23:27 UTC
UX: what do you think?
Comment 2 Yousuf Philips (jay) 2015-09-19 23:02:44 UTC
Created attachment 118854 [details]
save template dialog

Yes it would be useful to have a checkbox in the dialog for entering in the template name (File > Templates > Save As Templates) to be able to set that it be the default template, rather than after adding it to the list of templates, to reopen the template manager to set it to default.
Comment 3 Jean-Baptiste Faure 2015-10-18 14:43:00 UTC
Setting as NEW from comment #2. It is a valuable enhancement request.

Best regards. JBF
Comment 4 Robinson Tryon (qubit) 2015-12-13 11:23:46 UTC Comment hidden (obsolete)
Comment 5 jani 2016-05-26 09:09:39 UTC
Changing status
Comment 6 Commit Notification 2016-06-06 09:00:19 UTC
Akshay Deep committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f944195baabfda068cc37bd4e8ddf60e6cc990b7

tdf#94131 Easier access to set a default template when saving a template

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2016-06-06 09:37:46 UTC
Akshay Deep committed a patch related to this issue.
It has been pushed to "libreoffice-5-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=cf81f59455ec0aa73f8d3e71ba7f39725ca77139&h=libreoffice-5-2

tdf#94131 Easier access to set a default template when saving a template

It will be available in 5.2.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.